Modify

Opened 5 years ago

Closed 5 years ago

#12341 closed defect (no_response)

Broken binaries when using eglibc 2.16

Reported by: Tóth F. János <janos666@…> Owned by: developers
Priority: low Milestone: Chaos Calmer 15.05
Component: toolchain Version: Trunk
Keywords: Cc:

Description

The make command produces images without aborting the build process with any kind of error messages. But the router doesn't boot up when flashed with these binaries.

Failsafe works and I got this error when I tried to run fdisk: error while loading shared libraries: libblkid.so.1: cannot open shared object file: No such file or directory.

The same buildroot .config is fine with uClibc and uClibc++ and produces broken images with eglibc and libstdc++ only.

Attachments (1)

03.config (138.9 KB) - added by Tóth F. János <janos666@…> 5 years ago.
.config

Download all attachments as: .zip

Change History (9)

Changed 5 years ago by Tóth F. János <janos666@…>

.config

comment:1 Changed 5 years ago by anonymous

fdisk from util-linux already depends on libblkid, and if the library was not present, the package building would have bailed out with an error, really, we need more context like a proper bootlog to understand what is wrong here.

comment:2 Changed 5 years ago by anonymous

The bootlog with the default verbosity level doesn't say anything interesting, it's just the usual stuff until it gets stuck near to it's usual end. Then I can hit F and ENTER to get into failsafe (or wait forever for the nothing).
I guess I need to turn on the debug level logging. I will look into that.

comment:3 Changed 5 years ago by Tóth F. János <janos666@…>

This is the only "error:" in my build log (V=s, except the errors saying that images with jffs2 root file system would be too big for my 8Mb ROM but that doesn't mater here...):

Building shared library libz.so.1.2.7 with mips-openwrt-linux-gnu-gcc.
./ztest13285: 1: ./ztest13285: Syntax error: "(" unexpected

comment:4 Changed 5 years ago by Tóth F. János <janos666@…>

Here is the boot log with the default verbosity level.
I am not sure which debugging options should be activated to make it show more info.

/bin/ash: umont: not found
root@OpenWrt:/# mount
rootfs on / type rootfs (rw)
/dev/root on /rom type squashfs (ro,relatime)
proc on /proc type proc (rw,noatime)
sysfs on /sys type sysfs (rw,noatime)
tmpfs on /tmp type tmpfs (rw,nosuid,nodev,noatime)
tmpfs on /dev type tmpfs (rw,noatime,size=512k,mode=755)
devpts on /dev/pts type devpts (rw,noatime,mode=600)
/dev/mtdblock3 on /overlay type jffs2 (rw,noatime)
overlayfs:/overlay on / type overlayfs (rw,noatime,lowerdir=/,upperdir=/overlay)
none on /proc/bus/usb type usbfs (rw,relatime)
root@OpenWrt:/# umount /dev/mtdblock3
root@OpenWrt:/# firtboot
/bin/ash: firtboot: not found
root@OpenWrt:/# firstboot
Unlocking rootfs_data ...
Erasing rootfs_data ...
root@OpenWrt:/# reboot -f
Removing MTD device #3 (rootfs_data) with use count 1
Restarting system.

U-Boot 1.1.4 (Aug 10 2012 - 11:57:15)

U-boot DB120

DRAM: 128 MB
id read 0x100000ff
flash size 8MB, sector count = 128
Flash: 8 MB
Using default environment

PCIe Reset OK!!!!!!
In: serial
Out: serial
Err: serial
Net: ag934x_enet_initialize...
No valid address in Flash. Using fixed address

wasp reset mask:c03300

WASP ----> S17 PHY *
: cfg1 0x7 cfg2 0x7114
eth0: ba:be:fa:ce:08:41
athrs17_reg_init: complete
eth0 up
eth0
Autobooting in 1 seconds
## Booting image at 9f020000 ...

Uncompressing Kernel Image ... OK

Starting kernel ...

Linux version 3.3.8 (janos666@TFJ) (gcc version 4.7.2 (GCC) ) #2 Sun Oct 21 15:33:03 CEST 2012
bootconsole [early0] enabled
CPU revision is: 0001974c (MIPS 74Kc)
SoC: Atheros AR9344 rev 2
Clocks: CPU:560.000MHz, DDR:450.000MHz, AHB:225.000MHz, Ref:40.000MHz
Determined physical RAM map:

memory: 08000000 @ 00000000 (usable)

Initrd not found or empty - disabling initrd
Kernel command line: board=TL-WDR4300 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 512 (order: -1, 2048 bytes)
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
Writing ErrCtl register=00000000
Readback ErrCtl register=00000000
Memory: 126384k/131072k available (2362k kernel code, 4688k reserved, 399k data, 184k init, 0k highmem)
NR_IRQS:51
Calibrating delay loop... 279.48 BogoMIPS (lpj=136192)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
gpiochip_add: registered GPIOs 0 to 22 on device: ath79
MIPS: machine is TP-LINK TL-WDR3600/4300/4310
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
pci_bus 0000:00: root bus resource [io 0x0000]
pci 0000:00:00.0: invalid calibration data
pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1001ffff 64bit]
pci 0000:00:00.0: BAR 6: assigned [mem 0x10020000-0x1002ffff pref]
pci 0000:00:00.0: using irq 40 for pin 1
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 4096 (order: 3, 32768 bytes)
TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
TCP: Hash tables configured (established 4096 bind 4096)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_SIZE) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 246
io scheduler noop registered
io scheduler cfq registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
m25p80 spi0.0: found s25fl064k, expected m25p80
m25p80 spi0.0: s25fl064k (8192 Kbytes)
5 tp-link partitions found on MTD device spi0.0
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000020000 : "u-boot"
0x000000020000-0x00000011b474 : "kernel"
mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
0x00000011b474-0x0000007f0000 : "rootfs"
mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=6F0000, len=100000
0x0000006f0000-0x0000007f0000 : "rootfs_data"
0x0000007f0000-0x000000800000 : "art"
0x000000020000-0x0000007f0000 : "firmware"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth0: Atheros AR8327 switch driver attached.
ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:00 [uid=004dd033, driver=Atheros AR8216/AR8236/AR8316]
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ehci-platform ehci-platform: Generic Platform EHCI Controller
ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
ehci-platform ehci-platform: irq 3, io mem 0x1b000000
ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 1 port detected
TCP cubic registered
NET: Registered protocol family 17
8021q: 802.1Q VLAN Support v1.8
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 184k freed
usb 1-1: new high-speed USB device number 2 using ehci-platform
hub 1-1:1.0: USB hub found
hub 1-1:1.0: 4 ports detected
usb 1-1.1: new high-speed USB device number 3 using ehci-platform

  • preinit -

Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (1000Mbps/Full duplex)

  • regular preinit -

JFFS2 notice: (419) jffs2_build_xattr_subsystem: complete building xattr subsystem, 0 of xdatum (0 unchecked, 0 orphan) and 0 of xref (0 dead, 0 orphan) found.
Initializing USB Mass Storage driver...
scsi0 : usb-storage 1-1.1:1.0
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
scsi 0:0:0:0: Direct-Access Hitachi HTS547575A9E384 0200 PQ: 0 ANSI: 4
sd 0:0:0:0: [sda] 1465149168 512-byte logical blocks: (750 GB/698 GiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] No Caching mode page present
sd 0:0:0:0: [sda] Assuming drive cache: write through
sd 0:0:0:0: [sda] No Caching mode page present
sd 0:0:0:0: [sda] Assuming drive cache: write through

sda: sda1 sda2

sd 0:0:0:0: [sda] No Caching mode page present
sd 0:0:0:0: [sda] Assuming drive cache: write through
sd 0:0:0:0: [sda] Attached SCSI disk
switching to jffs2

  • init -

eth0: link down
Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
Backport based on wireless-testing.git master-2012-09-07
compat.git: wireless-testing.git
cfg80211: Calling CRDA to update world regulatory domain
cfg80211: World regulatory domain updated:
cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: Calling CRDA for country: US
cfg80211: Regulatory domain changed to country: US
cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
ieee80211 phy0: Atheros AR9340 Rev:0 mem=0xb8100000, irq=47
ieee80211 phy1: Atheros AR9300 Rev:4 mem=0xb0000000, irq=40
ip_tables: (C) 2000-2006 Netfilter Core Team
nf_conntrack version 0.5.0 (1977 buckets, 7908 max)
xt_time: kernel timezone is -0000

Please press Enter to activate this console. eth0: link up (1000Mbps/Full duplex)

comment:5 Changed 5 years ago by Tóth F. János <janos666@…>

And this is how it looks when it successfully boots up:

Err: serial
Net: ag934x_enet_initialize...
No valid address in Flash. Using fixed address

wasp reset mask:c03300

WASP ----> S17 PHY *
: cfg1 0x7 cfg2 0x7114
eth0: ba:be:fa:ce:08:41
athrs17_reg_init: complete
eth0 up
eth0
Autobooting in 1 seconds
## Booting image at 9f020000 ...

Uncompressing Kernel Image ... OK

Starting kernel ...

Linux version 3.3.8 (janos666@TFJ) (gcc version 4.7.2 (GCC) ) #1 Sun Oct 21 16:16:14 CEST 2012
bootconsole [early0] enabled
CPU revision is: 0001974c (MIPS 74Kc)
SoC: Atheros AR9344 rev 2
Clocks: CPU:560.000MHz, DDR:450.000MHz, AHB:225.000MHz, Ref:40.000MHz
Determined physical RAM map:

memory: 08000000 @ 00000000 (usable)

Initrd not found or empty - disabling initrd
Zone PFN ranges:

Normal 0x00000000 -> 0x00008000

Movable zone start PFN for each node
Early memory PFN ranges

0: 0x00000000 -> 0x00008000

Built 1 zonelists in Zone order, mobility grouping on. Total pages: 32512
Kernel command line: board=TL-WDR4300 console=ttyS0,115200 rootfstype=squashfs,jffs2 noinitrd
PID hash table entries: 512 (order: -1, 2048 bytes)
Dentry cache hash table entries: 16384 (order: 4, 65536 bytes)
Inode-cache hash table entries: 8192 (order: 3, 32768 bytes)
Primary instruction cache 64kB, VIPT, 4-way, linesize 32 bytes.
Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
Writing ErrCtl register=00000000
Readback ErrCtl register=00000000
Memory: 126376k/131072k available (2371k kernel code, 4696k reserved, 397k data, 184k init, 0k highmem)
NR_IRQS:51
Calibrating delay loop... 279.48 BogoMIPS (lpj=136192)
pid_max: default: 32768 minimum: 301
Mount-cache hash table entries: 512
NET: Registered protocol family 16
gpiochip_add: registered GPIOs 0 to 22 on device: ath79
MIPS: machine is TP-LINK TL-WDR3600/4300/4310
registering PCI controller with io_map_base unset
bio: create slab <bio-0> at 0
SCSI subsystem initialized
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI host bridge to bus 0000:00
pci_bus 0000:00: root bus resource [mem 0x10000000-0x13ffffff]
pci_bus 0000:00: root bus resource [io 0x0000]
pci 0000:00:00.0: invalid calibration data
pci 0000:00:00.0: BAR 0: assigned [mem 0x10000000-0x1001ffff 64bit]
pci 0000:00:00.0: BAR 6: assigned [mem 0x10020000-0x1002ffff pref]
pci 0000:00:00.0: using irq 40 for pin 1
Switching to clocksource MIPS
NET: Registered protocol family 2
IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
TCP established hash table entries: 4096 (order: 3, 32768 bytes)
TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
TCP: Hash tables configured (established 4096 bind 4096)
TCP reno registered
UDP hash table entries: 256 (order: 0, 4096 bytes)
UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
NET: Registered protocol family 1
squashfs: version 4.0 (2009/01/31) Phillip Lougher
JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_SIZE) (c) 2001-2006 Red Hat, Inc.
msgmni has been set to 246
io scheduler noop registered
io scheduler cfq registered (default)
Serial: 8250/16550 driver, 1 ports, IRQ sharing disabled
serial8250.0: ttyS0 at MMIO 0x18020000 (irq = 11) is a 16550A
console [ttyS0] enabled, bootconsole disabled
console [ttyS0] enabled, bootconsole disabled
m25p80 spi0.0: found s25fl064k, expected m25p80
m25p80 spi0.0: s25fl064k (8192 Kbytes)
5 tp-link partitions found on MTD device spi0.0
Creating 5 MTD partitions on "spi0.0":
0x000000000000-0x000000020000 : "u-boot"
0x000000020000-0x00000011c330 : "kernel"
mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
0x00000011c330-0x0000007f0000 : "rootfs"
mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
mtd: partition "rootfs" set to be root filesystem
mtd: partition "rootfs_data" created automatically, ofs=600000, len=1F0000
0x000000600000-0x0000007f0000 : "rootfs_data"
0x0000007f0000-0x000000800000 : "art"
0x000000020000-0x0000007f0000 : "firmware"
ag71xx_mdio: probed
eth0: Atheros AG71xx at 0xb9000000, irq 4
eth0: Atheros AR8327 switch driver attached.
ag71xx ag71xx.0: eth0: connected to PHY at ag71xx-mdio.0:00 [uid=004dd033, driver=Atheros AR8216/AR8236/AR8316]
ehci_hcd: USB 2.0 'Enhanced' Host Controller (EHCI) Driver
ehci-platform ehci-platform: Generic Platform EHCI Controller
ehci-platform ehci-platform: new USB bus registered, assigned bus number 1
ehci-platform ehci-platform: irq 3, io mem 0x1b000000
ehci-platform ehci-platform: USB 2.0 started, EHCI 1.00
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 1 port detected
TCP cubic registered
NET: Registered protocol family 17
8021q: 802.1Q VLAN Support v1.8
VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
Freeing unused kernel memory: 184k freed
usb 1-1: new high-speed USB device number 2 using ehci-platform
hub 1-1:1.0: USB hub found
hub 1-1:1.0: 4 ports detected
usb 1-1.1: new high-speed USB device number 3 using ehci-platform

  • preinit -

Press the [f] key and hit [enter] to enter failsafe mode
eth0: link up (1000Mbps/Full duplex)

  • regular preinit -

JFFS2 notice: (419) jffs2_build_xattr_subsystem: complete building xattr subsystem, 28 of xdatum (1 unchecked, 27 orphan) and 42 of xref (0 dead, 29 orphan) found.
Initializing USB Mass Storage driver...
scsi0 : usb-storage 1-1.1:1.0
usbcore: registered new interface driver usb-storage
USB Mass Storage support registered.
scsi 0:0:0:0: Direct-Access Hitachi HTS547575A9E384 0200 PQ: 0 ANSI: 4
sd 0:0:0:0: [sda] 1465149168 512-byte logical blocks: (750 GB/698 GiB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] No Caching mode page present
sd 0:0:0:0: [sda] Assuming drive cache: write through
sd 0:0:0:0: [sda] No Caching mode page present
sd 0:0:0:0: [sda] Assuming drive cache: write through

sda: sda1 sda2

sd 0:0:0:0: [sda] No Caching mode page present
sd 0:0:0:0: [sda] Assuming drive cache: write through
sd 0:0:0:0: [sda] Attached SCSI disk
switching to jffs2

  • init -

eth0: link down

Please press Enter to activate this console. Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
Backport based on wireless-testing.git master-2012-09-07
compat.git: wireless-testing.git
cfg80211: Calling CRDA to update world regulatory domain
cfg80211: World regulatory domain updated:
cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: Calling CRDA for country: US
cfg80211: Regulatory domain changed to country: US
cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2700 mBm)
cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 1700 mBm)
cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5490000 KHz - 5600000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5650000 KHz - 5710000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
cfg80211: (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 3000 mBm)
ieee80211 phy0: Atheros AR9340 Rev:0 mem=0xb8100000, irq=47
PCI: Enabling device 0000:00:00.0 (0000 -> 0002)
ieee80211 phy1: Atheros AR9300 Rev:4 mem=0xb0000000, irq=40
ip_tables: (C) 2000-2006 Netfilter Core Team
nf_conntrack version 0.5.0 (1977 buckets, 7908 max)
xt_time: kernel timezone is -0000
Adding 131068k swap on /dev/sda1. Priority:-1 extents:1 across:131068k
EXT4-fs (sda2): mounted filesystem with ordered data mode. Opts: (null)
device eth0.1 entered promiscuous mode
device eth0 entered promiscuous mode
eth0: link up (1000Mbps/Full duplex)
br-lan: port 1(eth0.1) entered forwarding state
br-lan: port 1(eth0.1) entered forwarding state
br-lan: port 1(eth0.1) entered forwarding state
cfg80211: Calling CRDA for country: HU
cfg80211: Regulatory domain changed to country: HU
cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
cfg80211: (2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
cfg80211: (5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
cfg80211: (5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
cfg80211: (5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
device wlan0 entered promiscuous mode
br-lan: port 2(wlan0) entered forwarding state
br-lan: port 2(wlan0) entered forwarding state
u32 classifier

Performance counters on
input device check on
Actions configured

Mirror/redirect action on
br-lan: port 2(wlan0) entered forwarding state
device wlan1 entered promiscuous mode
br-lan: port 3(wlan1) entered forwarding state
br-lan: port 3(wlan1) entered forwarding state
br-lan: port 3(wlan1) entered forwarding state

comment:6 Changed 5 years ago by anonymous

Hi

the r34290 may correct your problem, it add /usr/lib in the ld search path (for eglibc 2.16)
the same patch must be applied for eglibc 2.17

comment:7 Changed 5 years ago by florian

This patch has been applied for eglibc 2.17 in r36141

comment:8 Changed 5 years ago by nbd

  • Resolution set to no_response
  • Status changed from new to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.